<?php
/*
webDevStudio
Copyright (C) 2005 Alberto Martnez Fernndez (albertinho_2000@hotmail.com)
                   Israel Ortiz Flores (i_ortiz_flores@hotmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

require("../authentication.php");

//Comprobamos si el formulario est correctamente rellenado:
$error=0;
$user=$_SESSION['s_user'];
$name=$_SESSION['s_name'];
$languaje=$_SESSION['s_languaje'];
$file=$_GET['file'];
$oldfile=$_GET['oldfile'];

require("../compile_config.php");

//Funcion que indica si la extension de un fichero est permitida
function check_extension($filename,$extensions) {
	for ($j=0; $j<count($extensions); $j++) {
		//Permitimos los ficheros que son del mismo lenguaje
		$long_extension=strlen($extensions[$j]);
		$extension_file=strtolower(substr($filename, strlen($filename)-$long_extension, $long_extension));
		if ($extension_file==$extensions[$j]) {
			return 1;
		}
		//Permitimos los ficheros ejecutables y los de texto
		else if ((strtolower(substr($filename, strlen($filename)-4, 4))==".exe") ||
				 (strtolower(substr($filename, strlen($filename)-4, 4))==".txt") ) {
			return 1;
		}
	}
	return 0;
}

//No se han completado todos los campos
if ($file=="") {
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
else if (ereg("[\\/:*?\"<>|\']", $file) == TRUE) {
	$mensaje="The name of the file is incorrect<BR><BR>Please, don't use: \,/,:,*,?,\",<,>,|,'";
	$error=1;
}
else if (!check_extension($file, $extensions[$languaje])) {
	$mensaje="This file cannot be rename<br><br>Only you can rename to \"". $languaje."\" files or \".txt\" files";
	$error=1;
}
else if (strtolower(substr($oldfile, strlen($oldfile)-4, 4)) == ".exe" && 
		 strtolower(substr($oldfile, strlen($oldfile)-4, 4)) != strtolower(substr($file, strlen($file)-4, 4)) ) {
	$mensaje="The executable files must have \".exe\" extension";
	$error=1;
}
else if (strtolower(substr($oldfile, strlen($oldfile)-4, 4)) != ".exe" && 
		 strtolower(substr($file, strlen($file)-4, 4)) == ".exe" ) {
	$mensaje="You cannot rename file to a executable file";
	$error=1;
}
else if (file_exists("../users/$user/$name/$file")) {
	$mensaje='There is another file with this "'.$file.'" file name';
	$error=1;
}
//El formulario est correctamente rellenado
else {
	//Creamos el fichero
	$file=strtolower($file);
	//$path=getcwd().'\\users\\'.$user.'\\'.$name.'\\';
	$path="../users/$user/$name/";
	if (!rename($path.$oldfile, $path.$file)) {
		$mensaje="Imposible to rename the file";
		$error=1;
	}
}		 

//Tratamos los errores
if ($error!=1) {
   	//header("Location: work_project.php?name=".urlencode($name)."&languaje=".urlencode($languaje)."&platform=".urlencode($platform)."&application=".urlencode($application)."&file=".urlencode($file));
	if ($_SESSION['s_file']==$oldfile) {
		$_SESSION['s_file']=$file;
	}
	header("Location: work_project.php");
	//include("work_project.php");
}
else {
	echo '
	<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
	<html>
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>webDevStudio :: Rename a file</title>
	<link href="../style.css" rel="stylesheet" type="text/css">

	<SCRIPT LANGUAGE="JavaScript" type="text/javascript">
		function volver()
		{
	  		history.back()
		}
	</SCRIPT>
	</head>
	<body>';
	include("head_project.php");
	echo '
		<table width="780" border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td colspan="5" height="25"></td>
		  </tr>
		  <tr>
		    <td width="19" valign="top"></td>
		    <td width="244" height="72" valign="top">
			   <img src="../images/logo_projects.png" width="105" height="119" alt="My Projects">
  		       <br>
	           <font class="Estilo2">My Projects</font>
			</td>
		    <td width="1" bgcolor="#333333"></td>
		    <td width="46" valign="top"></td>
		    <td width="*" valign="top"><br>
		    <p>
			<span class="Estilo9">Sorry, there are errors in the form</span><br>
			<p class="Estilo12">'.$mensaje.'</p>
			<p><input type="button" name="Back" value="Back" OnCLick="volver()"></p>
			</td>
		  </tr>
		  <tr>
		    <td colspan="5" height="25"></td>
		  </tr>
		</table>';
	include("foot_project.php");
	echo '</body>
		</html>';
}
?>
